Bug 163623 - pidof: -x does not work as expected
Summary: pidof: -x does not work as expected
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: SysVinit   
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 85796
Blocks: 138788 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-19 16:25 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-511
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 14:30:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:511 qe-ready SHIPPED_LIVE SysVinit bug fix update 2005-10-05 04:00:00 UTC

Description Bill Nottingham 2005-07-19 16:25:50 UTC
+++ This bug was initially created as a clone of Bug #85796 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
if i have the following process given by ps -efw
root      8484     1  0 15:34 pts/1    00:00:00 /usr/bin/python
/usr/local/bin/nodeinfo

in 8.0 i dont get the expected process id if i do pidof -x /usr/local/bin/nodeinfo: 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a small script eg /usr/local/bin/nodeinfo in python 
2. run it with python /usr/local/bin/nodeinfo
3.Try to find process id using 
    pidof -x /usr/local/bin/nodeinfo

Actual Results:  in redhat 8.0
[root]# pidof -x /usr/local/bin/nodeinfo

[root]# 


Expected Results:  in redhat 7.3
[root]# pidof -x /usr/local/bin/nodeinfo
8484
root]# 


Additional info:

--

Comment 6 Bill Nottingham 2005-07-21 17:42:12 UTC
Fixed in 2.85-34.3/2.85-4.4.

Comment 8 Red Hat Bugzilla 2005-10-05 14:30:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-511.html



Note You need to log in before you can comment on or make changes to this bug.